-- игрок
actor_player = inherit_table(actor_base)

function actor_player:on_init()
	actor_base.on_init(self)
	
	self:create_body()

	self:activate_camera()
end

function actor_player:on_shutdown()
	actor_base.on_shutdown(self)
end

function actor_player:on_update(dt)
	actor_base.on_update(self, dt)
	
	self:update_camera_look()
	--self:update_camera_movement(dt)
	self:update_body_movement(dt)
end

function actor_player:on_collide(other)
	console.print(string.format("actor_player:on_collide: %s", other:get_classname()))	
end